import request from '@/utils/request'

// 查询分支机构信息列表
export function listInformation(query) {
  return request({
    url: '/crmEquityPledgeInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询分支机构信息详细
export function getInformation(id) {
  return request({
    url: '/crmEquityPledgeInformation/information/' + id,
    method: 'get'
  })
}

// 新增分支机构信息
export function addInformation(data) {
  return request({
    url: '/crmEquityPledgeInformation/information',
    method: 'post',
    data: data
  })
}

// 修改分支机构信息
export function updateInformation(data) {
  return request({
    url: '/crmEquityPledgeInformation/information',
    method: 'put',
    data: data
  })
}

// 删除分支机构信息
export function delInformation(id) {
  return request({
    url: '/crmEquityPledgeInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmEquityPledgeInformation/delete',ids)
}

